<?php

function findlast_file() {
include_once(ABS_PATH .'defaults.php');
include_once('findlast-onoff.php');
$dir = ABS_PATH . 'fp-content/content/';
date_default_timezone_set('Asia/Tokyo');

$iterator = new RecursiveDirectoryIterator($dir);
$iterator = new RecursiveIteratorIterator($iterator);
 
$file_list = array();
foreach ($iterator as $fileinfo) { // $fileinfoはSplFiIeInfoオブジェクト
  if ($fileinfo->isFile()) {
    $file_list[] = $fileinfo->getPathname();
  }
}

$file_list2 = array() ;
$i = 0 ;

foreach ( $file_list as $file_name ) {
  $file_list2[$i][0] = $file_name ;
  $file_list2[$i][1] = date("Y/m/d H:i", filemtime($file_name)) ;
  $i++ ;
}
 
usort($file_list2, "order_by_desc") ;

$j = 0; 
$res = "";
foreach ($file_list2 as $least_file ) {
  // $least_file[0]) is a name of blogfile.txt
  $sub = $least_file[0];
  $fp = fopen($sub, 'r');
  if ($fp){
    if (flock($fp, LOCK_SH)){
      while (!feof($fp)) {
        //$buff = mb_convert_encoding(fgets($fp), "UTF-8");
        $buff = mb_convert_encoding(fgets($fp), "UTF-8", "AUTO");
        if (strstr($buff, "SUBJECT")) {
          $subject = explode("|", $buff);
          $ent = str_replace(".txt", "", explode("entry", $sub));
          $URL = str_replace("/APP/findlast", "", BLOG_BASEURL);
          $URL .= "?x=entry:entry" . $ent[1];
          if (strstr($buff, "VERSION")) {
              $res .= "<a href=\"" . $URL . "\"> " . $subject[3] . "</a>\n";
          } else {
              $res .= "<a href=\"" . $URL . "\"> " . $subject[1] . "</a>\n";
          }
          continue;
        }
      }
      flock($fp, LOCK_UN);
    }else{
      print('ファイルロックに失敗しました');
      exit;
    }
  }
  $flag = fclose($fp);
  if ($flag){
    //    print('無事クローズしました');
  }else{
    print('クローズに失敗しました');
  exit;
  }
  if ($j++ > 8)
    break;
 }
    return $res;
}

function order_by_desc($a, $b) {
    if ( strtotime($a[1]) > strtotime($b[1]) ) {
        return -1;
    } else if (strtotime($a[1]) < strtotime($b[1])) {
      return 1;
    } else{
      return 0;
    }
}


?>
