<?php

	$lang['admin']['widgets']['submenu']['default'] = 'ウィジェットの管理';
	$lang['admin']['widgets']['submenu']['raw'] 	= 'ウィジェットの管理（ソース編集）';

	/* default action */
	
	$lang['admin']['widgets']['default'] = array(
		'head'		=> 'ウィジェットの管理（<em>実験的機能</em>）',
		
		'descr'		=> '<a class="hint" '.
						'href="http://wiki.flatpress.org/doc:widgets" title="ウィジェットとは？">'.
						'ウィジェット</a>は、データを表示しユーザーと対話することができる、動的なコンポーネントです。
						<strong>テーマ</strong>は、あなたのブログがどのように見えるかを変更することができますが、
						ウィジェットは、ルックスと機能を<strong>拡張</strong>します。</p>

						<p>ウィジェットは、<strong>ウィジェットセット</strong>と呼ばれる
						テーマの特別な領域にドラッグすることができます。数とウィジェットセットの名前は、
						選択したテーマによって異なる場合があります。</p>

						<p>FlatPressには、いくつかのウィジェットが付属しています。
						ログインを支援するためのウィジェットや検索ボックスなどを表示するウイジェットなどです。</p>
						
						<p>各ウィジェットは、<a class="hint" '.
						'href="http://wiki.flatpress.org/doc:plugins" title="プラグインとは？">プラグイン</a>によって定義されています。',
						
		'availwdgs'	=> '使用可能なウィジェット',
		'trashcan'	=> 'ここにドロップすると削除されます',
		
		'themewdgs' => '使用中のウィジェットセット',
		'themewdgsdescr' => 'あなたが現在選択しているテーマは、次のウィジェットセットを持っています',
		'oldwdgs'	=> '他のウィジェットセット',
		'oldwdgsdescr' =>'次のウィジェットセットは、上記のウィジェットセットのいずれにも属さないようです。'.
						'これらは別のテーマ用のウィジェットセットかもしれません。',
		
		'submit'	=> '変更を保存',

	);
	
	$lang['admin']['widgets']['default']['stdsets'] = array(
		'top'		=> '上パネル',
		'bottom'	=> '下パネル',
		'left'		=> '左パネル',
		'right'		=> '右パネル',
	);
	
	$lang['admin']['widgets']['default']['msgs'] = array(
		1	=> '設定を保存しました',
		-1	=> '設定の保存中にエラーが発生しました',
	);


	
	/* "raw" panel */	
	
	$lang['admin']['widgets']['raw'] = array(
		'head'		=> 'ウィジェットの管理（<em>ソース</em>編集）',
		'descr'		=> '<a class="hint" href="http://wiki.flatpress.org/doc:plugins" title="ウィジェットとは？">'.
						'ウィジェット</a>は、あなたのブログページの特別な領域'.
						'（<em>ウィジェットセット</em>）に視覚的な要素を置くことができる'.
						'<a class="hint" href="http://wiki.flatpress.org/doc:plugins" title="プラグインとは？">'.
						'プラグイン</a>です。</p>'.
						'<p>これは<strong>ソース</strong>エディタであるため、'.
						'一部の高度なユーザーが好むかもしれないJavaScriptの記述はできません。',
						
		'fset1'		=> 'Editor',
		'fset2'		=> 'Apply Changes',
		'submit'	=> '適用',

	);
	
	
	$lang['admin']['widgets']['raw']['msgs'] = array(
		1	=> '設定を保存しました',
		-1	=> '設定の保存中にエラーが発生しました。幾つかの理由が考えられますが、恐らくはあなたがインストールしたファイルの構文エラーです。',
	);

		

	/* system errors */
		
	$lang['admin']['widgets']['errors'] = array(
		'generic'	=> '<strong>%s</strong>と呼ばれるウィジェットは登録されていないため、スキップされました。'.
 				'<a href="admin.php?p=plugin">プラグイン</a>を有効にしますか？'

	);
	
?>
