<?php
class SWWriter {
    function __construct() {
    }

    public function write($data) {
        $this->writeData(serialize($data));
    }

    private function writeData($data) {
        $filename = DBConfiguration::getPathToSWStatsFile();
        $dir = dirname($filename);
        if (fs_mkdir($dir)) {
            $f = fopen($filename, "w");
            if ($f) {

                if (!flock($f, LOCK_EX))
                return -1;

                $length = strlen($data);
                $done = fwrite($f, $data);

                flock($f, LOCK_UN);

                fclose($f);

                @chmod($filename, 0666);

                //returns true on success

                return($length == $done);
            }

        }

        return false;
    }
}

?>
