<?php
    require_once("classes/lib/phplot/phplot.php");

    $plot = new PHPlot(800, 600);
    $plot->SetImageBorderType('plain');

    $plot->SetPlotType('bars');
    $plot->SetDataType('text-data');

    if (!isset($_SESSION["yearStats"])) {
    //    return;
    }
    $plot->SetIsInline(true);
    $plot->SetDataValues($_SESSION["yearStats"]);

    # Main plot title:
    $plot->SetTitle('Shaded Bar Chart with 3 Data Sets');

    # Make a legend for the 3 data sets plotted:
    //$plot->SetLegend(array('Engineering', 'Manufacturing', 'Administration'));

    # Turn off X tick labels and ticks because they don't apply here:
    $plot->SetXTickLabelPos('none');
    $plot->SetXTickPos('none');

    $plot->DrawGraph();

?>
