<?php

	$lang['admin']['config']['default'] = 
	array(
		'head'		=> '設定',
		'descr'		=> 'FlatPressのインストール状態をカスタマイズ・変更できます。',
					
		'submit'		=> '変更を適用',
		
		'sysfset'		=> 'General System Informations',
		'syswarning'	=> '<big>Warning!</big> These informations are critical and need to be correct,
	or FlatPress will (probably) refuse to work properly.',
		'blog_root'		=> '<strong>Absolute path to flatpress</strong>. Note: 
	generally you won\'t have to edit this, anyway be careful, because we can\'t
	check whether is correct or not.',
		'www'		=>'<strong>Blog root</strong>. URL to your blog, complete of 
	subdirectories. <br />
	e.g.: http://www.mydomain.com/flatpress/ (trailing slash needed)',
		
		// ------
		
		'gensetts'		=> '一般項目の設定',
		'blogtitle'		=> 'ブログのタイトル',
		'blogsubtitle'		=> 'ブログのサブタイトル',
		'blogfooter'		=> 'ブログのフッター',
		'blogauthor'		=> 'ブログの作成者',
		'startpage'			=> 'このウェブサイトのホームページ',
		'stdstartpage'		=> 'my blog (default)',
		'blogurl'			=> 'ブログのURL',
		'blogemail'			=> 'ブログのメールアドレス',
		'notifications'		=> '通知',
		'mailnotify'		=> 'コメントが付くとメールで通知する',
		'blogmaxentries'	=> '1ページに表示する投稿数',
        // FlatPress.info 2014-8-18 
		'blogmaxcontents'	=> '表示する最近の記事数',
        // FlatPress.info 2014-9-5
                'blogtagmode'      => 'タグクラウドの表示拡大サイズ',
		'langchoice'		=> '言語',

		'intsetts'		=> '多言語項目の設定',
		'utctime'		=> '<acronym title="Universal Coordinated Time">UTC</acronym>時間',
		'timeoffset'		=> 'UTC時間との時差',
		'hours'			=> '時間',
		'timeformat'		=> 'デフォルトの時間表示形式',
		'dateformat'		=> 'デフォルトの日付表示形式',
		'dateformatshort'	=> 'デフォルトの日付表示形式（短縮）',
		'output'		=> '表示例',
		'charset'		=> '文字セット',
		'charsettip'	=> '記事を投稿する際の文字セット (UTF-8 を'.
						'<a href="http://wiki.flatpress.org/doc:charsets">推奨します</a>)'
		);
		
	$lang['admin']['config']['default']['msgs'] = 
	array(
		1		=> '設定を保存しました。',
		-1		=> '保存中にエラーが発生しました。',
		
		);
			
	$lang['admin']['config']['default']['error'] = 
	array(
		'www' 		=>	'ブログのルートは有効なURLにする必要があります',
		'title'		=>	'タイトルを指定してください',
		'email'		=>	'メールアドレスを有効な形式で入力してください',
		'maxentries'=>	'表示する投稿数は、有効な数値を入力してください',
        'tagmode'=>     '許数は半角数字で正しく入力してください。',
		'timeoffset'=>	'有効な時差を入力してください！'.
						'小数を使用してください (例 2時間半" => 2.5)',
		'timeformat'=>	'正しい時刻フォーマットを入力してください',
		'dateformat'=>	'正しい日付フォーマットを入力してください',
		'dateformatshort'=>	'正しい日付フォーマットを入力してください（短縮）',
		'charset'	=>	'文字セットを指定して下さい',
		'lang'		=>	'選択した言語は使用不可能です'
		);		
			
		
?>
