<?php
class SWFacade {
    function __construct() {
    }

    public function getLimited($from, $to) {
        $data = $this->prepare();
        $unsetThese = null;

        $fromTimestamp = strtotime($from);
        $toTimestamp = strtotime($to);

        foreach ($data as $key => $record) {
            if ($key < $fromTimestamp || $key > $toTimestamp) {
                $unsetThese[] = $key;
            }
        }

        if (is_array($unsetThese)) {
            foreach ($unsetThese as $toBeRemoved) {
                unset($data[$toBeRemoved]);
            }
        }

        return $data;
    }

    public function prepare() {
        $swReader = new SWReader();
        $data = $swReader->load();

        if (!is_array($data)) {
            return $this->prepareAll();
        }
        
        $swGenerator = new SWGenerator();
        $data = $swGenerator->generateNew($data);
        if ($data === false) {
            $data = $swGenerator->generateAll();
        }

        $swWriter = new SWWriter();
        $swWriter->write($data);

        return $data;
    }

    public function prepareAll() {
        $swGenerator = new SWGenerator();
        $data = $swGenerator->generateAll();

        $swWriter = new SWWriter();
        $swWriter->write($data);

        return $data;
    }
}

?>
